namespace CMSMicroservice.Application.WarehouseCQ.Commands.CreateWarehouse;

public class CreateWarehouseCommandValidator : AbstractValidator<CreateWarehouseCommand>
{
    public CreateWarehouseCommandValidator()
    {
        RuleFor(x => x.Name)
            .NotEmpty().WithMessage("نام انبار الزامی است")
            .MaximumLength(100).WithMessage("نام انبار نباید بیش از 100 کاراکتر باشد");

        RuleFor(x => x.Code)
            .NotEmpty().WithMessage("کد انبار الزامی است")
            .MaximumLength(50).WithMessage("کد انبار نباید بیش از 50 کاراکتر باشد");

        RuleFor(x => x.Address)
            .MaximumLength(500).WithMessage("آدرس نباید بیش از 500 کاراکتر باشد");
    }
}
